[PATCH 1/2] configure.ac: remove unneeded AC_CONFIG_MACRO_DIR([m4])

Dmitry V. Levin ldv@altlinux.org
Tue Dec 15 20:31:41 GMT 2020


Hi,

On Tue, Dec 15, 2020 at 03:14:27PM -0500, Frank Ch. Eigler wrote:
> Hi -
> 
> > I think it is too early to switch to autoconf 2.70. Currently we
> > require autoconf 2.63 and automake 1.11. We could probably upgrade to
> > autconf 2.69 and automake 1.13, but that doesn't seem to help with
> > AC_CONFIG_MACRO_DIR/ACLOCAL_AMFLAGS.
> > 
> > Since AC_CONFIG_MACRO_DIR is deprecated in 2.70 and ACLOCAL_AMFLAGS is
> > still needed even with it set lets just go with your patch and remove
> > it. We can see what we do when we upgrade autoconf/automake versions.
> > [...]
> 
> Note that since we do not commit auto*-generated code into the repo,
> we don't really upgrade elfutils autoconf/automake versions.  We are
> subject to the whims of each build-host or make-dist-host environment
> (which could be relatively old).

We do have some requirements, though.  For example:

AC_PREREQ(2.63)                 dnl Minimum Autoconf version required.


-- 
ldv


More information about the Elfutils-devel mailing list